---
id: 62a3b3eab50e193608c19fc6
title: Step 9
challengeType: 0
dashedName: step-9
---

# --description--

Declare a variable called `fighting` but do not initialize it with a value. 

# --hints--

You should use `let` to declare a variable `fighting`.

```js
assert.match(code, /let\s+fighting/);
```

Your `fighting` variable should not have a value.

```js
assert.isUndefined(fighting);
```

You should not assign a value to your `fighting` variable. 

```js
assert.match(code, /let\s+fighting\s*;?/);
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="./styles.css">
    <title>RPG - Dragon Repeller</title>
    <script src="./script.js"></script>
  </head>
  <body>
    <div id="game">
    </div>
  </body>
</html>
```

```js
--fcc-editable-region--
let xp = 0;
let health = 100;
let gold = 50;
let currentWeaponIndex = 0;
--fcc-editable-region--
```
